X2Go Bug report logs - #127
x2gobroker-daemon deb package reinstall/upgrade fails

Package: x2gobroker-daemon; Maintainer for x2gobroker-daemon is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-daemon is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Thu, 28 Feb 2013 13:48:02 UTC

Severity: normal

Tags: pending

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#127; Package x2gobroker-daemon. (Thu, 28 Feb 2013 13:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message had a Version: pseudo-header with an invalid package version:

0.0.0.5 (compiled from 0.0.0.5 git branch)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 28 Feb 2013 13:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2gobroker-daemon deb package reinstall/upgrade fails
Date: Thu, 28 Feb 2013 14:42:54 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker-daemon
Version: 0.0.0.5 (compiled from 0.0.0.5 git branch)

$ dpkg -l x2gobroker-daemon
...
ii  x2gobroker-daemon                             0.0.0.5-0~x2go1
                    X2Go http(s) based session broker (daemon)

$ sudo dpkg -i x2gobroker-daemon_0.0.0.5-0~x2go1_all.deb
(Reading database ... 58838 files and directories currently installed.)
Preparing to replace x2gobroker-daemon 0.0.0.5-0~x2go1 (using
x2gobroker-daemon_0.0.0.5-0~x2go1_all.deb) ...
 * Stopping X2Go Session Broker standalone daemon x2gobroker

                                               [ OK ]
Unpacking replacement x2gobroker-daemon ...
Setting up x2gobroker-daemon (0.0.0.5-0~x2go1) ...
Group x2gobroker already exists.
User x2gobroker already exists.
dpkg: error processing x2gobroker-daemon (--install):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for ureadahead ...
Errors were encountered while processing:
 x2gobroker-daemon

If I do a purge of the x2gobroker-daemon package and then install it, it
installs fine.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#127; Package x2gobroker-daemon. (Thu, 28 Feb 2013 16:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Feb 2013 16:18:02 GMT) (full text, mbox, link).


Message #10 received at 127@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 127@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#127: x2gobroker-daemon deb package reinstall/upgrade fails
Date: Thu, 28 Feb 2013 17:15:22 +0100
[Message part 1 (text/plain, inline)]
tag #127 moreinfo
thanks

Hi Anders,

On Do 28 Feb 2013 14:42:54 CET Anders Bruun Olsen wrote:

> Package: x2gobroker-daemon
> Version: 0.0.0.5 (compiled from 0.0.0.5 git branch)
>
> $ dpkg -l x2gobroker-daemon
> ...
> ii  x2gobroker-daemon                             0.0.0.5-0~x2go1
>                     X2Go http(s) based session broker (daemon)
>
> $ sudo dpkg -i x2gobroker-daemon_0.0.0.5-0~x2go1_all.deb
> (Reading database ... 58838 files and directories currently installed.)
> Preparing to replace x2gobroker-daemon 0.0.0.5-0~x2go1 (using
> x2gobroker-daemon_0.0.0.5-0~x2go1_all.deb) ...
>  * Stopping X2Go Session Broker standalone daemon x2gobroker
>
>                                                [ OK ]
> Unpacking replacement x2gobroker-daemon ...
> Setting up x2gobroker-daemon (0.0.0.5-0~x2go1) ...
> Group x2gobroker already exists.
> User x2gobroker already exists.
> dpkg: error processing x2gobroker-daemon (--install):
>  subprocess installed post-installation script returned error exit status 1
> Processing triggers for ureadahead ...
> Errors were encountered while processing:
>  x2gobroker-daemon
>
> If I do a purge of the x2gobroker-daemon package and then install it, it
> installs fine.

In /debian/x2goserver-daemon.postinst you find a line with set -e  
quite at the beginning of the script.

Can you set this line to set -ex, recompile the package and try to  
reproduce the observed error? There should be plenty of output on the  
console that will point you to the exact line where the postinst  
script fails.

Please report back this bit of information. Send the info to  
127@bugs.x2go.org.

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 28 Feb 2013 16:18:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#127; Package x2gobroker-daemon. (Fri, 01 Mar 2013 09:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 09:18:02 GMT) (full text, mbox, link).


Message #17 received at 127@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 127@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#127: x2gobroker-daemon deb package reinstall/upgrade fails
Date: Fri, 1 Mar 2013 10:17:37 +0100
[Message part 1 (text/plain, inline)]
Problem found:
debian/x2gobroker-daemon.postinst line 38 sets home of user x2gobroker to
be /var/lib/x2go but all other references to the homedir are for
/var/lib/x2gobroker.


2013/2/28 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> tag #127 moreinfo
> thanks
>
> Hi Anders,
>
>
> On Do 28 Feb 2013 14:42:54 CET Anders Bruun Olsen wrote:
>
>  Package: x2gobroker-daemon
>> Version: 0.0.0.5 (compiled from 0.0.0.5 git branch)
>>
>> $ dpkg -l x2gobroker-daemon
>> ...
>> ii  x2gobroker-daemon                             0.0.0.5-0~x2go1
>>                     X2Go http(s) based session broker (daemon)
>>
>> $ sudo dpkg -i x2gobroker-daemon_0.0.0.5-0~**x2go1_all.deb
>> (Reading database ... 58838 files and directories currently installed.)
>> Preparing to replace x2gobroker-daemon 0.0.0.5-0~x2go1 (using
>> x2gobroker-daemon_0.0.0.5-0~**x2go1_all.deb) ...
>>  * Stopping X2Go Session Broker standalone daemon x2gobroker
>>
>>                                                [ OK ]
>> Unpacking replacement x2gobroker-daemon ...
>> Setting up x2gobroker-daemon (0.0.0.5-0~x2go1) ...
>> Group x2gobroker already exists.
>> User x2gobroker already exists.
>> dpkg: error processing x2gobroker-daemon (--install):
>>  subprocess installed post-installation script returned error exit status
>> 1
>> Processing triggers for ureadahead ...
>> Errors were encountered while processing:
>>  x2gobroker-daemon
>>
>> If I do a purge of the x2gobroker-daemon package and then install it, it
>> installs fine.
>>
>
> In /debian/x2goserver-daemon.**postinst you find a line with set -e quite
> at the beginning of the script.
>
> Can you set this line to set -ex, recompile the package and try to
> reproduce the observed error? There should be plenty of output on the
> console that will point you to the exact line where the postinst script
> fails.
>
> Please report back this bit of information. Send the info to
> 127@bugs.x2go.org.
>
> Thanks,
> Mike
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, rothenstein 5, 24214 neudorf-bornstein
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>



-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#127; Package x2gobroker-daemon. (Fri, 01 Mar 2013 10:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 10:03:02 GMT) (full text, mbox, link).


Message #22 received at 127@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 127@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#127: x2gobroker-daemon deb package reinstall/upgrade fails
Date: Fri, 01 Mar 2013 10:58:04 +0100
[Message part 1 (text/plain, inline)]
tag #127 pending
thanks

Hi Anders,

On Fr 01 Mär 2013 10:17:37 CET Anders Bruun Olsen wrote:

> Problem found:
> debian/x2gobroker-daemon.postinst line 38 sets home of user x2gobroker to
> be /var/lib/x2go but all other references to the homedir are for
> /var/lib/x2gobroker.

Thanks again for ploughing through my code...

Committed:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=8d008dbadaab7527ccd85580056eb3cbcc16b9fe

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#127; Package x2gobroker-daemon. (Fri, 01 Mar 2013 10:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 10:03:02 GMT) (full text, mbox, link).


Message #27 received at 127@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 127@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#127: x2gobroker-daemon deb package reinstall/upgrade fails
Date: Fri, 01 Mar 2013 10:59:46 +0100
[Message part 1 (text/plain, inline)]
On Fr 01 Mär 2013 10:17:37 CET Anders Bruun Olsen wrote:

> Problem found:
> debian/x2gobroker-daemon.postinst line 38 sets home of user x2gobroker to
> be /var/lib/x2go but all other references to the homedir are for
> /var/lib/x2gobroker.

Argghh... the last commit had an error still... This now fixes it...
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=a62fb92ed282ca25ded2e7782ee79386f9e68e7d

Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 01 Mar 2013 10:03:03 GMT) (full text, mbox, link).


Removed tag(s) moreinfo. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Fri, 01 Mar 2013 10:18:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#127; Package x2gobroker-daemon. (Wed, 06 Mar 2013 17:38:53 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 17:38:53 GMT) (full text, mbox, link).


Message #36 received at 127@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 126@bugs.x2go.org, 127@bugs.x2go.org, 134@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Issues resolved in x2gobroker 0.0.0.6
Date: Wed, 06 Mar 2013 18:38:11 +0100
[Message part 1 (text/plain, inline)]
close #126
close #127
close #134
thanks

The reported issues have been resolved in X2Go Session Broker 0.0.0.5  
and 0.0.0.6.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 06 Mar 2013 17:38:54 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Wed, 06 Mar 2013 17:38:54 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 04 Apr 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Nov 21 23:41:37 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.